# General Translation Platform: 设置术语翻译
URL: https://generaltranslation.com/zh/docs/platform/openapi/reference/context-management/set-glossary-translation.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: 创建或替换某个区域设置的翻译（新建时返回 201，替换时返回 200）。该术语及其其他翻译保持不变。需要 org:context:write 权限。设置术语翻译的 API 参考。

{/* 此文件由 Fumadocs 生成。请勿直接编辑此文件。如需修改，请重新运行生成命令。 */}

## Endpoint

`PUT https://api.gtx.dev/v2/context-groups/{groupId}/glossary/{entryId}/translations/{locale}`

**Operation ID:** `setContextGlossaryTranslation`

**Tags:** `Context Management`

**Summary:** Set a term translation

Creates or replaces one locale's translation (201 when created, 200 when replaced). Keeps the term and its other translations. Requires `org:context:write`.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `groupId` (path, string, required): Context group ID.
- `entryId` (path, string, required): Glossary term ID.
- `locale` (path, string, required): Translation locale.
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.

### Request body (required)

Body (`application/json`, object):
- `translation` (string, required): The locale's translation of the term.

### Responses

**200**: Translation replaced
Response body (`application/json`, object):
- `committed` (true, required)
- `outcome` ("created" | "updated" | "unchanged", required)

**201**: Translation created
Response body (`application/json`, object):
- `committed` (true, required)
- `outcome` ("created" | "updated" | "unchanged", required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
